package cn.iocoder.yudao.module.product.convert.deviceinfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.deviceinfo.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.deviceinfo.DeviceInfoDO;

/**
 * 设备信息 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface DeviceInfoConvert {

    DeviceInfoConvert INSTANCE = Mappers.getMapper(DeviceInfoConvert.class);

    DeviceInfoDO convert(DeviceInfoCreateReqVO bean);

    DeviceInfoDO convert(DeviceInfoUpdateReqVO bean);

    DeviceInfoRespVO convert(DeviceInfoDO bean);

    List<DeviceInfoRespVO> convertList(List<DeviceInfoDO> list);

    PageResult<DeviceInfoRespVO> convertPage(PageResult<DeviceInfoDO> page);

}
